Bug 595210 - insert tmpfs cache pages to inactive list at first
insert tmpfs cache pages to inactive list at first
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
high Severity medium
: rc
: ---
Assigned To: Rik van Riel
Zhouping Liu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-24 00:34 EDT by Rik van Riel
Modified: 2014-01-12 19:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 10:57:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rik van Riel 2010-05-24 00:34:15 EDT
Description of problem:

With the split LRU VM, new tmpfs cache pages get inserted into the active list.  This can create a false OOM condition under certain specific conditions.

These conditions may be user triggerable and could potentially be a security problem. We are not sure yet whether there is a security problem, but the fix is so laughably simple we'd be crazy not to apply it.

The fix is simply to add new tmpfs cache pages to the inactive list, instead of to the active list.
Comment 1 RHEL Product and Program Management 2010-05-24 00:46:18 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Aristeu Rozanski 2010-05-28 16:38:52 EDT
Patch(es) available on kernel-2.6.32-31.el6
Comment 7 releng-rhel@redhat.com 2010-11-11 10:57:54 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.